The number of results that will be returned per page.
- Associate an incoming invoice with an incoming credit
List all payment accounts
List all payments
Add payment for an outgoing invoice
Associate an outgoing invoice with an outgoing credit
Add payment for an incoming invoice
Associate an incoming inv...
Kanbert (v1)
Query
Allowed filter fields (with allowed operators):
| Field | Type | Operators |
|---|---|---|
archived | enum: with, only, without | eq |
title | string | in, nin, notin, eq, ne, neq, contains, like, startswith, endswith, isnull, isnotnull, notnull |
type | enum<PaymentAccountType> | eq, ne, neq, in, nin, notin, isnull, isnotnull, notnull |
organisation | string | in, nin, notin, eq, ne, neq, contains, like, startswith, endswith, isnull, isnotnull, notnull |
created_at | datetime | eq, ne, neq, lt, lte, le, gt, gte, ge, in, nin, notin, isnull, isnotnull, notnull |
owner.id | id<UserData> | eq, ne, neq, in, nin, notin, isnull, isnotnull, notnull |
owner.email | string | in, nin, notin, eq, ne, neq, contains, like, startswith, endswith, isnull, isnotnull, notnull |
Filtering expression. Accepts either JSON (array/tree of conditions) or a readable string DSL.
You can check the full syntax at Docs Filtering section.
Special values:
- me.id — current authenticated user id (usable on fields of type id). Example:
id eq me.id - now — current date-time. Example:
dueOn lt now - sow/eow — start/end of week. Examples:
dueOn gt sow,dueOn lt eow - som/eom — start/end of month. Examples:
dueOn gt som,dueOn lt eom - today — special date for today; with eq it expands to the whole day range. Example:
dueOn eq today - today±Nd — relative day offset. Examples:
today-30d,today+5d.
Example: filter=title contains "Acme" and (created_at >= "2024-01-01" or client.name contains "Corp")
- https://api.kanbert.com/api/v1/payment-accounts
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.kanbert.com/api/v1/payment-accounts?page%5Bsize%5D=30&page%5Bcursor%5D=string&filter=title+contains+%22Acme%22+and+%28created_at+%3E%3D+%222024-01-01%22+or+client.name+contains+%22Corp%22%29&sort=sort%3D-created_at%2Ctitle' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
application/json
{ "data": [ { … } ], "links": [ "string" ], "meta": { "path": "string", "per_page": 0, "next_cursor": "string", "next_cursor_url": "string", "prev_cursor": "string", "prev_cursor_url": "string" } }
Query
Allowed filter fields (with allowed operators):
| Field | Type | Operators |
|---|---|---|
archived | enum: with, only, without | eq |
reference | string | in, nin, notin, eq, ne, neq, contains, like, startswith, endswith, isnull, isnotnull, notnull |
type | enum | eq, ne, neq, in, nin, notin, isnull, isnotnull, notnull |
iban | string | in, nin, notin, eq, ne, neq, contains, like, startswith, endswith, isnull, isnotnull, notnull |
payment_account.id | id<PaymentAccountData> | eq, ne, neq, in, nin, notin, isnull, isnotnull, notnull |
payment_account.type | enum<PaymentAccountType> | eq, ne, neq, in, nin, notin, isnull, isnotnull, notnull |
payment_account.iban | string | in, nin, notin, eq, ne, neq, contains, like, startswith, endswith, isnull, isnotnull, notnull |
outgoing_invoice.id | id<OutgoingInvoiceData> | eq, ne, neq, in, nin, notin, isnull, isnotnull, notnull |
incoming_invoice.id | id<IncomingInvoiceData> | eq, ne, neq, in, nin, notin, isnull, isnotnull, notnull |
date_of_payment | date | eq, ne, neq, lt, lte, le, gt, gte, ge, in, nin, notin, isnull, isnotnull, notnull |
Filtering expression. Accepts either JSON (array/tree of conditions) or a readable string DSL.
You can check the full syntax at Docs Filtering section.
Special values:
- me.id — current authenticated user id (usable on fields of type id). Example:
id eq me.id - now — current date-time. Example:
dueOn lt now - sow/eow — start/end of week. Examples:
dueOn gt sow,dueOn lt eow - som/eom — start/end of month. Examples:
dueOn gt som,dueOn lt eom - today — special date for today; with eq it expands to the whole day range. Example:
dueOn eq today - today±Nd — relative day offset. Examples:
today-30d,today+5d.
Example: filter=title contains "Acme" and (created_at >= "2024-01-01" or client.name contains "Corp")
- https://api.kanbert.com/api/v1/payments
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.kanbert.com/api/v1/payments?page%5Bsize%5D=30&page%5Bcursor%5D=string&filter=title+contains+%22Acme%22+and+%28created_at+%3E%3D+%222024-01-01%22+or+client.name+contains+%22Corp%22%29&sort=sort%3D-created_at%2Ctitle' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
application/json
{ "data": [ { … } ], "links": [ "string" ], "meta": { "path": "string", "per_page": 0, "next_cursor": "string", "next_cursor_url": "string", "prev_cursor": "string", "prev_cursor_url": "string" } }
- https://api.kanbert.com/api/v1/payments/outgoing-invoice
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://api.kanbert.com/api/v1/payments/outgoing-invoice \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"type": "in",
"payment_account_id": "string",
"reference": "string",
"date_of_payment": "2019-08-24T14:15:22Z",
"customer_name": "string",
"iban": "string",
"bic": "string",
"bookings": [
{
"outgoing_invoice_id": "string",
"value": 0
}
]
}'Response
application/json
{ "id": "string", "type": "string", "date_of_payment": "2019-08-24", "reference": "string", "iban": "string", "bic": "string", "value": 0, "payment_account": { "id": "string", "is_default": true, "title": "string", "organization": "string", "identifier": "string", "type": "account", "owner": { … }, "updated_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "deleted_at": "2019-08-24T14:15:22Z" }, "bookings": [ { … } ], "updated_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "deleted_at": "2019-08-24T14:15:22Z" }
- https://api.kanbert.com/api/v1/payments/outgoing-invoice-credit
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://api.kanbert.com/api/v1/payments/outgoing-invoice-credit \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"reference": "string",
"date_of_payment": "2019-08-24T14:15:22Z",
"outgoing_invoice_id": "string",
"outgoing_credit_id": "string",
"value": 0
}'Response
application/json
[ { "id": "string", "type": "string", "payment_type": "string", "reference": "string", "value": 0, "outgoing_invoice_id": "string", "reference_outgoing_invoice_id": "string", "updated_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "deleted_at": "2019-08-24T14:15:22Z" } ]
Request
Required scopes: payments:write
Creates a payment record and associates it with one or more incoming invoices (documents).
Security
http or oauth2
- https://api.kanbert.com/api/v1/payments/incoming-invoice
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://api.kanbert.com/api/v1/payments/incoming-invoice \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"type": "in",
"payment_account_id": "string",
"reference": "string",
"date_of_payment": "2019-08-24T14:15:22Z",
"supplier_name": "string",
"iban": "string",
"bic": "string",
"bookings": [
{
"incoming_invoice_id": "string",
"value": 0
}
]
}'Response
application/json
{ "id": "string", "type": "string", "date_of_payment": "2019-08-24", "reference": "string", "iban": "string", "bic": "string", "value": 0, "payment_account": { "id": "string", "is_default": true, "title": "string", "organization": "string", "identifier": "string", "type": "account", "owner": { … }, "updated_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "deleted_at": "2019-08-24T14:15:22Z" }, "bookings": [ { … } ], "updated_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "deleted_at": "2019-08-24T14:15:22Z" }
Request
Required scopes: payments:write
Creates a reference booking between an incoming invoice (type Invoice) and an incoming credit (type Credit).
Security
http or oauth2
- https://api.kanbert.com/api/v1/payments/incoming-invoice-credit
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://api.kanbert.com/api/v1/payments/incoming-invoice-credit \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"reference": "string",
"date_of_payment": "2019-08-24T14:15:22Z",
"incoming_invoice_id": "string",
"incoming_credit_id": "string",
"value": 0
}'Response
application/json
[ { "id": "string", "type": "string", "payment_type": "string", "title": "string", "value": 0, "incoming_invoice_id": "string", "reference_incoming_invoice_id": "string", "updated_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "deleted_at": "2019-08-24T14:15:22Z" } ]